﻿using System;
using System.IO;
using System.Windows;
using System.Windows.Browser;
using System.Windows.Controls;
using System.Windows.Media;

namespace HelloSilverlight
{
    [Scriptable]
    public partial class Page : Canvas
    {
        [Scriptable]
        public event EventHandler Turn;

        public virtual void OnTurn(EventArgs args)
        {
            Turn(this, args);
        }

        public Page()
		{
			this.Loaded += this.Page_Loaded;
		}

		private void Page_Loaded(object sender, EventArgs args)
		{
			InitializeComponent();

            WebApplication.Current.RegisterScriptableObject("HelloSilverlight", this);

            textBlock.MouseLeftButtonDown +=
                delegate
                {
                    turn.AutoReverse = true;
                    turn.Begin();

                    OnTurn(new EventArgs());
                };

            HtmlPage.Document.GetElementByID("messageTextBox").AttachEvent("onblur", new EventHandler<HtmlEventArgs>(messageTextBox_OnBlur));
		}

        private void messageTextBox_OnBlur(object sender, HtmlEventArgs args)
        {
            textBlock.Text = ((HtmlElement)sender).GetAttribute("value");
        }
    }
}